// import $ from 'jquery';
const $ = require('jquery');
class AdTeaser{
  constructor(ad) {
    const wrap = ad.closest('.teasers');
    if (wrap.find('.kicker').length < wrap.find('.col').length && wrap.data('type') !== 'masonry') {
      ad.prev('.kicker').addClass('stand-out');
    }
  }
}

$('body').on('ihk-init dynamic-component-loaded gfi-dynamic-init', function () {
  $('.ad-box:not(.initiated)').each((i, el) => {
    new AdTeaser($(el));
  });
});
